# <script>.properties contains Script settings to run the Script under GEDI.


# You must create separate *.properties file for each Script.
# Add below listed parameters required for your Script using the format: key = value
# Place all *.properties file into "GEDI\lib\Scripts" directory.

# Script must follow the convention: 
# <script.exe> [UserParamDefault] -inimg InImg [-inxml InXml] [-outimg OutImg] [-outxml OutXml] [-outimgext OutImgExt] [-outxmlext OutXmlExt] [-intxt InTxt] [-outtxt OutTxt]

# Omit parameters not required for the Script.

# Please do not rename the current file name.


#########################################################################
#									#
# EXAMPLE OF POSSIBLE SCRIPT SETTINGS:					#
#                                      					#
# Name = Merge Text                   					#
# EXE = C\:\Scripts\TextMerge.exe 					#
# UserParamDefault = -x -e -box       					#
# InImg = default                      					#
# InXml = default                      					#
# OutXml = myNewOutput.XML                 				#
# OutXmlExt = merge                    					#
# InTxt = C\:\Scripts\inputText.txt					#
# UserParam = Editable          					#
#									#
# The Script will be run on the currently selected image in GEDI. 	#
#									#
# Current Xml will be taken as an input Xml file for the Script. 	#
#									#
# The output Xml file will be located in the same directory and 	#
# named "myNewOutput.merge.XML".					#
#									#
# The "inputText.txt" file will be read from the "C\:\Scripts" directory#					
#									#
# Because UserParam is set to "Editable" you will get the prompt window #
# before the Script runs to modify parameters passing to the Script.	#
#				                                      	#
#########################################################################


# The rest of the current file is the list of available Script settings:

! Name = <name of script to appear in the GEDI menu>

! EXE = <full path to the executable program>

! UserParamDefault = <String of parameters>
# List all parameters on a single line.

# UserParam = Editable | Fixed
# UserParam indicates if you want to edit user parameters from the GEDI interface. 
# "Fixed" is the default value.

! InImg = <filename>  	| Default

! InXml = <filename>  	| Default

! OutImg = <filename> 	| Default

! OutXml = <filename> 	| Default


# Default inputs are the currently selected files.

# Default outputs indicates to copy the result back to the current file.


! OutImgExt = <extension that will be added to output image such as orig.extension.tif>

! OutXmlExt = <extension that will be added to output Xml such as orig.extension.xml>

! InTxt = <filename>	| Default

! OutTxt = <filename>	| Default


# Default input/output txt indicates to use current directory name 
# as a text file name. The text file must be placed into that directory.


# <filename> is a fixed name requested. Provide absolute or relative path there.





